Modules | Alphabetical List | Class List | Directories | File List | File Members | GIL Home Page # Algorithms and Utility Functions [Point] ## Detailed Description Algorithms and Utility Functions for points. Example:
    assert(iround(point2<double>(3.1, 3.9)) == point2<int>(3,4));
## Functions
point2< int > | boost::gil::iround (const point2< float > &p)
point2< int > | boost::gil::iround (const point2< double > &p)
point2< int > | boost::gil::ifloor (const point2< float > &p)
point2< int > | boost::gil::ifloor (const point2< double > &p)
point2< int > | boost::gil::iceil (const point2< float > &p)
point2< int > | boost::gil::iceil (const point2< double > &p)